<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ContactStatus StructType
 * @subpackage Structs
 */
class ContactStatus extends AbstractStructBase
{
    /**
     * The Contact1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Contact
     */
    public $Contact1;
    /**
     * The Contact2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Contact
     */
    public $Contact2;
    /**
     * Constructor method for ContactStatus
     * @uses ContactStatus::setContact1()
     * @uses ContactStatus::setContact2()
     * @param \StructType\Contact $contact1
     * @param \StructType\Contact $contact2
     */
    public function __construct(\StructType\Contact $contact1 = null, \StructType\Contact $contact2 = null)
    {
        $this
            ->setContact1($contact1)
            ->setContact2($contact2);
    }
    /**
     * Get Contact1 value
     * @return \StructType\Contact|null
     */
    public function getContact1()
    {
        return $this->Contact1;
    }
    /**
     * Set Contact1 value
     * @param \StructType\Contact $contact1
     * @return \StructType\ContactStatus
     */
    public function setContact1(\StructType\Contact $contact1 = null)
    {
        $this->Contact1 = $contact1;
        return $this;
    }
    /**
     * Get Contact2 value
     * @return \StructType\Contact|null
     */
    public function getContact2()
    {
        return $this->Contact2;
    }
    /**
     * Set Contact2 value
     * @param \StructType\Contact $contact2
     * @return \StructType\ContactStatus
     */
    public function setContact2(\StructType\Contact $contact2 = null)
    {
        $this->Contact2 = $contact2;
        return $this;
    }
}
